콘텐츠로 건너뛰기

Lightx · Relight

통합

모델 id lightx/relight
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lightx/relight?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

예시와 같은 파일: $0.49 490 API 크레딧 실행 전에 파일을 측정합니다 이 페이지에서 실행

API 키 받기
Open model 동영상을 동영상으로 참조 입력 #video-to-video

프롬프트, 참조 프레임, HDR 이미지 또는 배경 이미지로 동영상의 조명을 다시 설정합니다

Open model · 동영상

첫 번째 결과가 여기에 표시됩니다

아래에서 요청을 작성하고 API 키로 실행하세요. 출력은 스토리지에 복사되며, 영구 보관하거나 7일 동안 무료로 보관할 수 있습니다.

요청 만들기

컨트롤은 모델 스키마에서 생성됩니다. 값을 변경하면 코드와 가격이 업데이트됩니다.

선택적 텍스트 프롬프트입니다. 프롬프트가 제공되지 않으면 Light-X가 동영상에 자동으로 캡션을 지정합니다.

•필수 video_url
파일을 끌어다 놓거나

입력 동영상의 URL입니다.

고급 relit_cond_type · relit_cond_img_url · ref_id · seed · enable_safety_checker · relight_parameters
relit_cond_type 기본값 ic

조명 재설정에 사용할 조건 유형입니다.

relight_condition_type의 'ref', 'hdr', 'bg' 설정에 필요한 조건 이미지 URL입니다. 'bg' 모드에서는 배경을 제공합니다.

기본값 0

프레임 인덱스로 선택하는 조명 재설정 참조입니다. 생성된 프레임 수가 배타적 상한으로 사용되며 기본값은 49입니다.

생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.

사용 여부가 relight_condition_type에 따라 달라지는 조명 재설정 설정입니다. 'ic'에서는 필요하지만 'bg'에서는 무시되고 대신 배경 이미지 URL이 필요합니다.

POST /run/lightx/relight?wait=20 견적 → $0.49
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/lightx/relight?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

이 요청 실행

키는 이 브라우저에 유지됩니다. Doitong API로만 전송되며, 기억하기를 선택한 경우에만 localStorage에 저장됩니다. API 키 받기

Lightx · Relight 정보

입력 동영상의 조명을 변경합니다. `relit_cond_type`으로 조건을 선택합니다: ic(`relight_parameters` 사용), ref, hdr 또는 bg. 후자의 세 유형은 `relit_cond_img_url`에 조건 이미지를 제공해야 합니다. `ref_id`(0~48)는 ref 모드의 참조 프레임을 선택합니다. 텍스트 `prompt`는 선택 사항이며 생략하면 동영상에 자동 캡션이 추가됩니다.

매개변수

표준 이름이나 네이티브 이름 중 하나만 보내세요. 표준 이름

이름유형 기본값허용됨 설명
video_url필수 video
유형url · video
입력 동영상의 URL입니다.
prompt선택 사항
유형string | null
선택적 텍스트 프롬프트입니다. 프롬프트가 제공되지 않으면 Light-X가 동영상에 자동으로 캡션을 지정합니다.
seed선택 사항
유형integer | null
생성을 재현 가능하게 하는 시드입니다. None으로 설정하면 무작위로 선택됩니다.
relit_cond_type선택 사항
유형enum
기본값ic
icrefhdrbg
조명 재설정에 사용할 조건 유형입니다.
relight_parameters선택 사항
유형object
사용 여부가 relight_condition_type에 따라 달라지는 조명 재설정 설정입니다. 'ic'에서는 필요하지만 'bg'에서는 무시되고 대신 배경 이미지 URL이 필요합니다.
relight_parameters.relight_prompt필수
유형string
생성할 조명 조건을 지정하는 텍스트 프롬프트입니다.
relight_parameters.bg_source선택 사항
유형enum
기본값Left
LeftRightTopBottom
IC-light의 광원 방향입니다.
relight_parameters.cfg선택 사항
유형number
기본값2
1 – 10
조명 재설정에 적용되는 classifier-free guidance의 스케일입니다.
relight_parameters.use_sky_mask선택 사항
유형boolean
기본값false
야외 장면의 하늘 마스킹 토글입니다.
relit_cond_img_url선택 사항
유형string | null
relight_condition_type의 'ref', 'hdr', 'bg' 설정에 필요한 조건 이미지 URL입니다. 'bg' 모드에서는 배경을 제공합니다.
ref_id선택 사항
유형integer
기본값0
0 – 48
프레임 인덱스로 선택하는 조명 재설정 참조입니다. 생성된 프레임 수가 배타적 상한으로 사용되며 기본값은 49입니다.
enable_safety_checker선택 사항
유형boolean
기본값true
호출자에게 권한이 있으면 false로 설정해 검사를 완화할 수 있습니다.
필수 표준 이름, 사용 가능

파일 매개변수에는 공개 https:// URL, 최대 10 MB의 data: URI 또는 업로드의 file_url을 사용할 수 있습니다. 파일

출력

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "lightx/relight",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 490,
    "usd": "0.49",
    "charged": 490,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "input_video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "viz_video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
파일 보관 방식 선택모든 outputs[].url은 스토리지에 저장된 복사본입니다. 계정 설정 또는 ?storage=에 따라 영구 보관(GB-월 단위 과금)하거나 7일 동안 무료로 보관합니다.
모든 모델에서 동일한 구조이미지, 동영상, 오디오 모두 type, url, content_type, width, height 및 duration을 사용합니다. output은 모델 자체의 결과 객체입니다.
출력 필드
video
object {url, content_type, file_name, file_size}생성으로 만들어진 동영상 파일입니다.
seed
integer생성 중 적용되는 시드 값입니다.
input_video
object {url, content_type, file_name, file_size} | null파이프라인이 생성하는 경우 선택적으로 반환되는 정규화 또는 처리된 입력 동영상입니다.
viz_video
object {url, content_type, file_name, file_size} | null파이프라인이 생성하는 경우 선택적으로 반환되는 시각화 또는 디버깅 동영상입니다.

더 많은 모델: 동영상을 동영상으로

AI 에이전트용: 이 페이지의 Markdown 버전: https://doitong.com/ko/developers/models/lightx/relight.md. 모든 모델 및 가이드: https://doitong.com/developers/llms.txt